curl --request POST \
--url https://api.topsort.com/public/v1/toptimize/forecasting/campaigns/sponsored-brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dailyBudget": 123,
"dateRange": {
"startDate": "2023-12-25",
"endDate": "2023-12-25"
},
"targetRoas": 123,
"placements": [
{
"id": "<string>",
"bidAmount": 500000000
}
],
"triggers": [
{
"value": "<string>"
}
],
"targets": []
}
'import requests
url = "https://api.topsort.com/public/v1/toptimize/forecasting/campaigns/sponsored-brand"
payload = {
"dailyBudget": 123,
"dateRange": {
"startDate": "2023-12-25",
"endDate": "2023-12-25"
},
"targetRoas": 123,
"placements": [
{
"id": "<string>",
"bidAmount": 500000000
}
],
"triggers": [{ "value": "<string>" }],
"targets": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dailyBudget: 123,
dateRange: {startDate: '2023-12-25', endDate: '2023-12-25'},
targetRoas: 123,
placements: [{id: '<string>', bidAmount: 500000000}],
triggers: [{value: '<string>'}],
targets: []
})
};
fetch('https://api.topsort.com/public/v1/toptimize/forecasting/campaigns/sponsored-brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"forecasts": {
"impressions": {
"forecastValue": 150000,
"forecastIntervalMin": 142000,
"forecastIntervalMax": 158000
},
"clicks": {
"forecastValue": 12500,
"forecastIntervalMin": 11800,
"forecastIntervalMax": 13200
},
"purchases": {
"forecastValue": 875,
"forecastIntervalMin": 820,
"forecastIntervalMax": 930
},
"sales": {
"forecastValue": 52500,
"forecastIntervalMin": 49000,
"forecastIntervalMax": 56000
},
"adSpend": {
"forecastValue": 10500,
"forecastIntervalMin": 10000,
"forecastIntervalMax": 11000
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sponsored Brand Campaign Performance Forecasts
Get performance forecasts with confidence intervals for sponsored brand campaigns.
Placement ids: each placements[].id is the external placement slug
(auction-facing, max 256 characters). Up to 100 placements per request.
Campaign types:
autobidding: provideplacementswithoutbidAmount.manual: every placement must includebidAmount> 0.
Charge type: cpm or cpc.
Target restrictions: only impressions, clicks, and ad_spend
may be requested in targets.
Constraints:
- Date range cannot exceed 31 days.
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Corpo
Daily budget for the campaign
Campaign date range
Show child attributes
Show child attributes
Target Return on Ad Spend
Campaign type (required)
autobidding, manual Billing rail for the campaign: 'cpm' or 'cpc'.
cpm, cpc Placements the sponsored brand campaign targets (required). Each id is the external placement slug.
1 - 100 elementsShow child attributes
Show child attributes
List of campaign triggers (optional, defaults to empty list)
Show child attributes
Show child attributes
Optional list of target variables to forecast. If not provided, all targets will be forecasted.
ad_spend, clicks, impressions, purchases, sales Resposta
Successful Response
Campaign performance forecasts
Show child attributes
Show child attributes
Esta página foi útil?